Package io.vertx.rxjava3.ext.web.handler.graphql.ws

## Class GraphQLWSHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ws.GraphQLWSHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `ProtocolUpgradeHandler`

      public class GraphQLWSHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, ProtocolUpgradeHandler, Handler<RoutingContext>

  A handler for the GraphQL over WebSocket Protocol.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphQLWSHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphQLWSHandler​(GraphQLWSHandler delegate)` |
    `GraphQLWSHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GraphQLWSHandlerBuilder` | `builder​(graphql.GraphQL graphQL)` | Create a new `GraphQLWSHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLWSHandler`.
    `static GraphQLWSHandler` | `create​(graphql.GraphQL graphQL)` | Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `static GraphQLWSHandler` | `create​(graphql.GraphQL graphQL, GraphQLWSOptions options)` | Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `boolean` | `equals​(Object o)` |
    `GraphQLWSHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static GraphQLWSHandler` | `newInstance​(GraphQLWSHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphQLWSHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphQLWSHandler

          public GraphQLWSHandler​(GraphQLWSHandler delegate)

    - #### GraphQLWSHandler

          public GraphQLWSHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphQLWSHandler getDelegate()

      Specified by:
        `getDelegate` in interface `ProtocolUpgradeHandler`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `ProtocolUpgradeHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static GraphQLWSHandler create​(graphql.GraphQL graphQL)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the default `GraphQLWSOptions`.

      Parameters:
        `graphQL` -
      Returns:

    - #### create

          public static GraphQLWSHandler create​(graphql.GraphQL graphQL,
                                                GraphQLWSOptions options)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the given `options`.

      Parameters:
        `graphQL` -
        `options` - options for configuring the `GraphQLWSOptions`
      Returns:

    - #### builder

          public static GraphQLWSHandlerBuilder builder​(graphql.GraphQL graphQL)

      Create a new `GraphQLWSHandlerBuilder` that will use the provided `graphQL` to build a `GraphQLWSHandler`.
      Parameters:
        `graphQL` -
      Returns:

    - #### newInstance

          public static GraphQLWSHandler newInstance​(GraphQLWSHandler arg)